from json import load
import os
from dotenv import load_dotenv

load_dotenv()

DB_ENGINE: str = "postgresql"
DB_USER: str = "postgres"
DB_PASSWORD: str = os.getenv('DB_PASSWORD','12345')
DB_HOST: str = "127.0.0.1"
DB_PORT: int = 5432
DB_NAME: str = "educonnect"


DEFAULT_PROFILE_FILE: str = "defaultUserBanner.png"
DEFAULT_COURSE_COVER: str = "defaultCourseCover.png"
DEFAULT_BADGE_ICON: str = "defaultBadgeIcon.png"
DISABLE_PASSWORD_SANITY_CHECKS: bool = False

PROJECT_ROOT: os.path = os.path.dirname(os.path.abspath(__file__))
USER_UPLOADS_DIR: str = os.path.abspath(os.path.join(PROJECT_ROOT, "uploads"))

SPAM_SCORE_THRESHOLD: int = 6
AI_SPAM_SERVICES_MICROSERVICE: str ='http://localhost:5000/test-spam'
AI_QUIZ_SERVICES_MICROSERVICE: str = 'http://localhost:5000/generate-questions'

DB_URI: str = f"{DB_ENGINE}://{DB_USER}:{DB_PASSWORD}@{DB_HOST}:{DB_PORT}/{DB_NAME}"
ACTIVATE_ACCOUNTS_ON_SIGNUP: bool = True

os.makedirs(USER_UPLOADS_DIR, exist_ok=True)